The `:instantExecutionReport` project produces the Javascript / HTML
app for browsing and understanding problems occurred when running a
build with instant execution.

The output of `:instantExecutionReport` is completely produced by the
`assembleReport` task into `build/report` which then gets
embedded into the `:instantExecution` module (see
[../instant-execution/instant-execution.gradle.kts](../instant-execution/instant-execution.gradle.kts)).

## Architecture

The interface between `:instantExecution` and
`:instantExecutionReport` is a Javascript global variable named
`instantExecutionProblems` which must be defined in a file named
`instant-execution-report-data.js`. The file is generated by the
`:instantExecution` module from the data collected at instant
execution time.

An [example file](./src/main/resources/instant-execution-report-data.js)
is kept for documentation and testing purposes.

The app itself is built according to [the Elm
architecture](https://guide.elm-lang.org/architecture/).

## Setting up a quick feedback loop

Start a continuous build on one shell:

    $ ./gradlew :iER:assemble -t

Start `browser-sync` on another:

    $ browser-sync start -s subprojects/instant-execution-report/build/report --startPath instant-execution-report.html -w

Hack away!
